/*
* jQuery selectBox - A cosmetic, styleable replacement for SELECT elements
*
* Licensed under the MIT license: http://opensource.org/licenses/MIT
*
* v1.2.0
*
* https://github.com/marcj/jquery-selectBox
*/
; (function(e) { var t = this.SelectBox = function(e, t) { if (e instanceof jQuery) { if (e.length > 0) { e = e[0] } else { return } } this.typeTimer = null; this.typeSearch = ""; this.isMac = navigator.platform.match(/mac/i); t = "object" === typeof t ? t : {}; this.selectElement = e; if (!t.mobile && navigator.userAgent.match(/iPad|iPhone|Android|IEMobile|BlackBerry/i)) { return false } if ("select" !== e.tagName.toLowerCase()) { return false } this.init(t) }; t.prototype.version = "1.2.0"; t.prototype.init = function(t) { var n = e(this.selectElement); if (n.data("selectBox-control")) { return false } var r = e('<a class="selectBox" />'), i = n.attr("multiple") || parseInt(n.attr("size")) > 1, s = t || {}, o = parseInt(n.prop("tabindex")) || 0, u = this; r.width(n.outerWidth()).addClass(n.attr("class")).attr("title", n.attr("title") || "").attr("tabindex", o).css("display", "inline-block").bind("focus.selectBox", function() { if (this !== document.activeElement && document.body !== document.activeElement) { e(document.activeElement).blur() } if (r.hasClass("selectBox-active")) { return } r.addClass("selectBox-active"); n.trigger("focus") }).bind("blur.selectBox", function() { if (!r.hasClass("selectBox-active")) { return } r.removeClass("selectBox-active"); n.trigger("blur") }); if (!e(window).data("selectBox-bindings")) { e(window).data("selectBox-bindings", true).bind("scroll.selectBox", this.hideMenus).bind("resize.selectBox", this.hideMenus) } if (n.attr("disabled")) { r.addClass("selectBox-disabled") } n.bind("click.selectBox", function(e) { r.focus(); e.preventDefault() }); if (i) { t = this.getOptions("inline"); r.append(t).data("selectBox-options", t).addClass("selectBox-inline selectBox-menuShowing").bind("keydown.selectBox", function(e) { u.handleKeyDown(e) }).bind("keypress.selectBox", function(e) { u.handleKeyPress(e) }).bind("mousedown.selectBox", function(t) { if (1 !== t.which) { return } if (e(t.target).is("A.selectBox-inline")) { t.preventDefault() } if (!r.hasClass("selectBox-focus")) { r.focus() } }).insertAfter(n); if (!n[0].style.height) { var a = n.attr("size") ? parseInt(n.attr("size")) : 5; var f = r.clone().removeAttr("id").css({ position: "absolute", top: "-9999em" }).show().appendTo("body"); f.find(".selectBox-options").html("<li><a></a></li>"); var l = parseInt(f.find(".selectBox-options A:first").html("").outerHeight()); f.remove(); r.height(l * a) } this.disableSelection(r) } else { var c = e('<span class="selectBox-label" />'), h = e('<span class="selectBox-arrow" />'); c.attr("class", this.getLabelClass()).text(this.getLabelText()); t = this.getOptions("dropdown"); t.appendTo("BODY"); r.data("selectBox-options", t).addClass("selectBox-dropdown").append(c).append(h).bind("mousedown.selectBox", function(e) { if (1 === e.which) { if (r.hasClass("selectBox-menuShowing")) { u.hideMenus() } else { e.stopPropagation(); t.data("selectBox-down-at-x", e.screenX).data("selectBox-down-at-y", e.screenY); u.showMenu() } } }).bind("keydown.selectBox", function(e) { u.handleKeyDown(e) }).bind("keypress.selectBox", function(e) { u.handleKeyPress(e) }).bind("open.selectBox", function(e, t) { if (t && t._selectBox === true) { return } u.showMenu() }).bind("close.selectBox", function(e, t) { if (t && t._selectBox === true) { return } u.hideMenus() }).insertAfter(n); var p = r.width() - h.outerWidth() - (parseInt(c.css("paddingLeft")) || 0) - (parseInt(c.css("paddingRight")) || 0); c.width(p); this.disableSelection(r) } n.addClass("selectBox").data("selectBox-control", r).data("selectBox-settings", s).hide() }; t.prototype.getOptions = function(t) { var n; var r = e(this.selectElement); var i = this; var s = function(t, n) { t.children("OPTION, OPTGROUP").each(function() { if (e(this).is("OPTION")) { if (e(this).length > 0) { i.generateOptions(e(this), n) } else { n.append("<li></li>") } } else { var t = e('<li class="selectBox-optgroup" />'); t.text(e(this).attr("label")); n.append(t); n = s(e(this), n) } }); return n }; switch (t) { case "inline": n = e('<ul class="selectBox-options" />'); n = s(r, n); n.find("A").bind("mouseover.selectBox", function(t) { i.addHover(e(this).parent()) }).bind("mouseout.selectBox", function(t) { i.removeHover(e(this).parent()) }).bind("mousedown.selectBox", function(e) { if (1 !== e.which) { return } e.preventDefault(); if (!r.selectBox("control").hasClass("selectBox-active")) { r.selectBox("control").focus() } }).bind("mouseup.selectBox", function(t) { if (1 !== t.which) { return } i.hideMenus(); i.selectOption(e(this).parent(), t) }); this.disableSelection(n); return n; case "dropdown": n = e('<ul class="selectBox-dropdown-menu selectBox-options" />'); n = s(r, n); n.data("selectBox-select", r).css("display", "none").appendTo("BODY").find("A").bind("mousedown.selectBox", function(e) { if (e.which === 1) { e.preventDefault(); if (e.screenX === n.data("selectBox-down-at-x") && e.screenY === n.data("selectBox-down-at-y")) { n.removeData("selectBox-down-at-x").removeData("selectBox-down-at-y"); i.hideMenus() } } }).bind("mouseup.selectBox", function(t) { if (1 !== t.which) { return } if (t.screenX === n.data("selectBox-down-at-x") && t.screenY === n.data("selectBox-down-at-y")) { return } else { n.removeData("selectBox-down-at-x").removeData("selectBox-down-at-y") } i.selectOption(e(this).parent()); i.hideMenus() }).bind("mouseover.selectBox", function(t) { i.addHover(e(this).parent()) }).bind("mouseout.selectBox", function(t) { i.removeHover(e(this).parent()) }); var o = r.attr("class") || ""; if ("" !== o) { o = o.split(" "); for (var u in o) { n.addClass(o[u] + "-selectBox-dropdown-menu") } } this.disableSelection(n); return n } }; t.prototype.getLabelClass = function() { var t = e(this.selectElement).find("OPTION:selected"); return ("selectBox-label " + (t.attr("class") || "")).replace(/\s+$/, "") }; t.prototype.getLabelText = function() { var t = e(this.selectElement).find("OPTION:selected"); return t.text() || "" }; t.prototype.setLabel = function() { var t = e(this.selectElement); var n = t.data("selectBox-control"); if (!n) { return } n.find(".selectBox-label").attr("class", this.getLabelClass()).text(this.getLabelText()) }; t.prototype.destroy = function() { var t = e(this.selectElement); var n = t.data("selectBox-control"); if (!n) { return } var r = n.data("selectBox-options"); r.remove(); n.remove(); t.removeClass("selectBox").removeData("selectBox-control").data("selectBox-control", null).removeData("selectBox-settings").data("selectBox-settings", null).show() }; t.prototype.refresh = function() { var t = e(this.selectElement), n = t.data("selectBox-control"), r = n.hasClass("selectBox-dropdown") ? "dropdown" : "inline", i; n.data("selectBox-options").remove(); i = this.getOptions(r); n.data("selectBox-options", i); switch (r) { case "inline": n.append(i); break; case "dropdown": this.setLabel(); e("BODY").append(i); break } if ("dropdown" === r && n.hasClass("selectBox-menuShowing")) { this.showMenu() } }; t.prototype.showMenu = function() { var t = this, n = e(this.selectElement), r = n.data("selectBox-control"), i = n.data("selectBox-settings"), s = r.data("selectBox-options"); if (r.hasClass("selectBox-disabled")) { return false } this.hideMenus(); var o = parseInt(r.css("borderBottomWidth")) || 0; var u = parseInt(r.css("borderTopWidth")) || 0; var a = r.offset(), f = s.outerHeight(), l = r.outerHeight(), c = parseInt(s.css("max-height")), h = e(window).scrollTop(), p = a.top - h, d = e(window).height() - (p + l), v = p > d, m = v ? a.top - f + u : a.top + l - o; if (p < c && d < c) { if (v) { var g = c - (p - 5); s.css({ "max-height": c - g + "px" }); m = m + g } else { var g = c - (d - 5); s.css({ "max-height": c - g + "px" }) } } s.data("posTop", v); s.width(r.innerWidth()).css({ top: m, left: r.offset().left }).addClass("selectBox-options selectBox-options-" + (v ? "top" : "bottom")); if (n.triggerHandler("beforeopen")) { return false } var y = function() { n.triggerHandler("open", { _selectBox: true }) }; switch (i.menuTransition) { case "fade": s.fadeIn(i.menuSpeed, y); break; case "slide": s.slideDown(i.menuSpeed, y); break; default: s.show(i.menuSpeed, y); break } if (!i.menuSpeed) { y() } var b = s.find(".selectBox-selected:first"); this.keepOptionInView(b, true); this.addHover(b); r.addClass("selectBox-menuShowing selectBox-menuShowing-" + (v ? "top" : "bottom")); e(document).bind("mousedown.selectBox", function(n) { if (1 === n.which) { if (e(n.target).parents().andSelf().hasClass("selectBox-options")) { return } t.hideMenus() } }) }; t.prototype.hideMenus = function() { if (e(".selectBox-dropdown-menu:visible").length === 0) { return } e(document).unbind("mousedown.selectBox"); e(".selectBox-dropdown-menu").each(function() { var t = e(this), n = t.data("selectBox-select"), r = n.data("selectBox-control"), i = n.data("selectBox-settings"), s = t.data("posTop"); if (n.triggerHandler("beforeclose")) { return false } var o = function() { n.triggerHandler("close", { _selectBox: true }) }; if (i) { switch (i.menuTransition) { case "fade": t.fadeOut(i.menuSpeed, o); break; case "slide": t.slideUp(i.menuSpeed, o); break; default: t.hide(i.menuSpeed, o); break } if (!i.menuSpeed) { o() } r.removeClass("selectBox-menuShowing selectBox-menuShowing-" + (s ? "top" : "bottom")) } else { e(this).hide(); e(this).triggerHandler("close", { _selectBox: true }); e(this).removeClass("selectBox-menuShowing selectBox-menuShowing-" + (s ? "top" : "bottom")) } t.css("max-height", ""); t.removeClass("selectBox-options-" + (s ? "top" : "bottom")); t.data("posTop", false) }) }; t.prototype.selectOption = function(t, n) { var r = e(this.selectElement); t = e(t); var i = r.data("selectBox-control"), s = r.data("selectBox-settings"); if (i.hasClass("selectBox-disabled")) { return false } if (0 === t.length || t.hasClass("selectBox-disabled")) { return false } if (r.attr("multiple")) { if (n.shiftKey && i.data("selectBox-last-selected")) { t.toggleClass("selectBox-selected"); var o; if (t.index() > i.data("selectBox-last-selected").index()) { o = t.siblings().slice(i.data("selectBox-last-selected").index(), t.index()) } else { o = t.siblings().slice(t.index(), i.data("selectBox-last-selected").index()) } o = o.not(".selectBox-optgroup, .selectBox-disabled"); if (t.hasClass("selectBox-selected")) { o.addClass("selectBox-selected") } else { o.removeClass("selectBox-selected") } } else if (this.isMac && n.metaKey || !this.isMac && n.ctrlKey) { t.toggleClass("selectBox-selected") } else { t.siblings().removeClass("selectBox-selected"); t.addClass("selectBox-selected") } } else { t.siblings().removeClass("selectBox-selected"); t.addClass("selectBox-selected") } if (i.hasClass("selectBox-dropdown")) { i.find(".selectBox-label").text(t.text()) } var u = 0, a = []; if (r.attr("multiple")) { i.find(".selectBox-selected A").each(function() { a[u++] = e(this).attr("rel") }) } else { a = t.find("A").attr("rel") } i.data("selectBox-last-selected", t); if (r.val() !== a) { r.val(a); this.setLabel(); r.trigger("change") } return true }; t.prototype.addHover = function(t) { t = e(t); var n = e(this.selectElement), r = n.data("selectBox-control"), i = r.data("selectBox-options"); i.find(".selectBox-hover").removeClass("selectBox-hover"); t.addClass("selectBox-hover") }; t.prototype.getSelectElement = function() { return this.selectElement }; t.prototype.removeHover = function(t) { t = e(t); var n = e(this.selectElement), r = n.data("selectBox-control"), i = r.data("selectBox-options"); i.find(".selectBox-hover").removeClass("selectBox-hover") }; t.prototype.keepOptionInView = function(t, n) { if (!t || t.length === 0) { return } var r = e(this.selectElement), i = r.data("selectBox-control"), s = i.data("selectBox-options"), o = i.hasClass("selectBox-dropdown") ? s : s.parent(), u = parseInt(t.offset().top - o.position().top), a = parseInt(u + t.outerHeight()); if (n) { o.scrollTop(t.offset().top - o.offset().top + o.scrollTop() - o.height() / 2) } else { if (u < 0) { o.scrollTop(t.offset().top - o.offset().top + o.scrollTop()) } if (a > o.height()) { o.scrollTop(t.offset().top + t.outerHeight() - o.offset().top + o.scrollTop() - o.height()) } } }; t.prototype.handleKeyDown = function(t) { var n = e(this.selectElement), r = n.data("selectBox-control"), i = r.data("selectBox-options"), s = n.data("selectBox-settings"), o = 0, u = 0; if (r.hasClass("selectBox-disabled")) { return } switch (t.keyCode) { case 8: t.preventDefault(); this.typeSearch = ""; break; case 9: case 27: this.hideMenus(); this.removeHover(); break; case 13: if (r.hasClass("selectBox-menuShowing")) { this.selectOption(i.find("LI.selectBox-hover:first"), t); if (r.hasClass("selectBox-dropdown")) { this.hideMenus() } } else { this.showMenu() } break; case 38: case 37: t.preventDefault(); if (r.hasClass("selectBox-menuShowing")) { var a = i.find(".selectBox-hover").prev("LI"); o = i.find("LI:not(.selectBox-optgroup)").length; u = 0; while (a.length === 0 || a.hasClass("selectBox-disabled") || a.hasClass("selectBox-optgroup")) { a = a.prev("LI"); if (a.length === 0) { if (s.loopOptions) { a = i.find("LI:last") } else { a = i.find("LI:first") } } if (++u >= o) { break } } this.addHover(a); this.selectOption(a, t); this.keepOptionInView(a) } else { this.showMenu() } break; case 40: case 39: t.preventDefault(); if (r.hasClass("selectBox-menuShowing")) { var f = i.find(".selectBox-hover").next("LI"); o = i.find("LI:not(.selectBox-optgroup)").length; u = 0; while (0 === f.length || f.hasClass("selectBox-disabled") || f.hasClass("selectBox-optgroup")) { f = f.next("LI"); if (f.length === 0) { if (s.loopOptions) { f = i.find("LI:first") } else { f = i.find("LI:last") } } if (++u >= o) { break } } this.addHover(f); this.selectOption(f, t); this.keepOptionInView(f) } else { this.showMenu() } break } }; t.prototype.handleKeyPress = function(t) { var n = e(this.selectElement), r = n.data("selectBox-control"), i = r.data("selectBox-options"), s = this; if (r.hasClass("selectBox-disabled")) { return } switch (t.keyCode) { case 9: case 27: case 13: case 38: case 37: case 40: case 39: break; default: if (!r.hasClass("selectBox-menuShowing")) { this.showMenu() } t.preventDefault(); clearTimeout(this.typeTimer); this.typeSearch += String.fromCharCode(t.charCode || t.keyCode); i.find("A").each(function() { if (e(this).text().substr(0, s.typeSearch.length).toLowerCase() === s.typeSearch.toLowerCase()) { s.addHover(e(this).parent()); s.selectOption(e(this).parent(), t); s.keepOptionInView(e(this).parent()); return false } }); this.typeTimer = setTimeout(function() { s.typeSearch = "" }, 1e3); break } }; t.prototype.enable = function() { var t = e(this.selectElement); t.prop("disabled", false); var n = t.data("selectBox-control"); if (!n) { return } n.removeClass("selectBox-disabled") }; t.prototype.disable = function() { var t = e(this.selectElement); t.prop("disabled", true); var n = t.data("selectBox-control"); if (!n) { return } n.addClass("selectBox-disabled") }; t.prototype.setValue = function(t) { var n = e(this.selectElement); n.val(t); t = n.val(); if (null === t) { t = n.children().first().val(); n.val(t) } var r = n.data("selectBox-control"); if (!r) { return } var i = n.data("selectBox-settings"), s = r.data("selectBox-options"); this.setLabel(); s.find(".selectBox-selected").removeClass("selectBox-selected"); s.find("A").each(function() { if (typeof t === "object") { for (var n = 0; n < t.length; n++) { if (e(this).attr("rel") == t[n]) { e(this).parent().addClass("selectBox-selected") } } } else { if (e(this).attr("rel") == t) { e(this).parent().addClass("selectBox-selected") } } }); if (i.change) { i.change.call(n) } }; t.prototype.setOptions = function(t) { var n = e(this.selectElement), r = n.data("selectBox-control"); switch (typeof t) { case "string": n.html(t); break; case "object": n.html(""); for (var i in t) { if (t[i] === null) { continue } if (typeof t[i] === "object") { var s = e('<optgroup label="' + i + '" />'); for (var o in t[i]) { s.append('<option value="' + o + '">' + t[i][o] + "</option>") } n.append(s) } else { var u = e('<option value="' + i + '">' + t[i] + "</option>"); n.append(u) } } break } if (r) { this.refresh() } }; t.prototype.disableSelection = function(t) { e(t).css("MozUserSelect", "none").bind("selectstart", function(e) { e.preventDefault() }) }; t.prototype.generateOptions = function(t, n) { var r = e("<li />"), i = e("<a />"); r.addClass(t.attr("class")); r.data(t.data()); i.attr("rel", t.val()).text(t.text()); r.append(i); if (t.attr("disabled")) { r.addClass("selectBox-disabled") } if (t.attr("selected")) { r.addClass("selectBox-selected") } n.append(r) }; e.extend(e.fn, { selectBox: function(n, r) { var i; switch (n) { case "control": return e(this).data("selectBox-control"); case "settings": if (!r) { return e(this).data("selectBox-settings") } e(this).each(function() { e(this).data("selectBox-settings", e.extend(true, e(this).data("selectBox-settings"), r)) }); break; case "options": if (undefined === r) { return e(this).data("selectBox-control").data("selectBox-options") } e(this).each(function() { if (i = e(this).data("selectBox")) { i.setOptions(r) } }); break; case "value": if (undefined === r) { return e(this).val() } e(this).each(function() { if (i = e(this).data("selectBox")) { i.setValue(r) } }); break; case "refresh": e(this).each(function() { if (i = e(this).data("selectBox")) { i.refresh() } }); break; case "enable": e(this).each(function() { if (i = e(this).data("selectBox")) { i.enable(this) } }); break; case "disable": e(this).each(function() { if (i = e(this).data("selectBox")) { i.disable() } }); break; case "destroy": e(this).each(function() { if (i = e(this).data("selectBox")) { i.destroy(); e(this).data("selectBox", null) } }); break; case "instance": return e(this).data("selectBox"); default: e(this).each(function(r, i) { if (!e(i).data("selectBox")) { e(i).data("selectBox", new t(i, n)) } }); break } return e(this) } }) })(jQuery);