/*
 * This code is for Internal Salesforce use only, and subject to change without notice.
 * Customers shouldn't reference this file in any web pages.
 */
function OverlayDialog(){this.dialog=this.id=null;this.isModal=!0;this.extraClass="";this.background=null;this.width=OverlayDialog.MAX_WIDTH;this.minHeight=OverlayDialog.MIN_HEIGHT;this.minWidth=OverlayDialog.MIN_WIDTH;this.buttons=[];this.info=this.header=this.title=null;this.created=this.isOpen=!1;this.allowKeyboardEsc=this.displayX=!0;this.resizing=this.moving=this.positioned=this.isAbsolutePositioned=this.isMovable=this.isResizable=!1;this.changeY=this.changeX=this.relativeY=this.relativeX=this.fixedY=
this.fixedX=0;this.wrappingPointId=this.focusPointId=null;this.focusOnShow=!0;this.useCSS=!1;this.htmlOverflow="";this.refreshOnClose=!1}OverlayDialog.MAX_BUTTONS=4;OverlayDialog.MAX_WIDTH=800;OverlayDialog.MIN_WIDTH=300;OverlayDialog.MIN_HEIGHT=200;OverlayDialog.EDGE_BUFFER=40;OverlayDialog.LOAD_MARK="OverlayLoadStart";OverlayDialog.HIDDEN_STYLE="width:2px;height:2px;position:absolute;border:0;margin:0;padding:0;background:none;outline:none;z-index:-1;cursor:none;";
OverlayDialog.prototype.addEvents=function(){if(this.id){var a=this;this.allowKeyboardEsc&&addEvent(document,"keydown",function(c){a.handleKeyPress(c)},!1);this.useCSS||(addEvent(window,"resize",function(){a.resizeEvent()},!1),Sfdc.userAgent.isIE6&&addEvent(window,"scroll",function(){a.scrollEvent()},!1))}};OverlayDialog.prototype.setTitle=function(a){this.title=a;this.created&&(document.getElementById(this.id+"Title").innerHTML=this.title)};
OverlayDialog.prototype.setHeader=function(a){this.header=a;this.created&&(document.getElementById(this.id+"Header").innerHTML=this.header)};OverlayDialog.prototype.setInfo=function(a){this.info=a;this.created&&(document.getElementById(this.id+"Info").innerHTML=this.info)};OverlayDialog.prototype.setWidth=function(a){this.width=a;this.dialog&&(Sfdc.isDefAndNotNull(a)&&(this.dialog.style.width="string"==typeof a?a:a+"px"),this.isOpen&&this.position())};
OverlayDialog.prototype.setMinHeight=function(a){this.minHeight=a};OverlayDialog.prototype.setMinWidth=function(a){this.minWidth=a};OverlayDialog.prototype.overrideButton=function(a,c,b){if(a>=OverlayDialog.MAX_BUTTONS)throw"Cannot have more than "+OverlayDialog.MAX_BUTTONS+" buttons.";this.buttons[a]={display:c,action:b}};
OverlayDialog.prototype.setupDefaultButtons=function(){this.buttons=[];this.buttons[0]={display:LC.getLabel("Buttons","ok"),action:null};this.buttons[1]={display:LC.getLabel("Buttons","cancel"),action:null}};OverlayDialog.prototype.clearButtons=function(){this.buttons=[]};
OverlayDialog.prototype.show=function(){if(this.useCSS){var a=this.getPageOverflowElement();this.htmlOverflow=a.style.overflow;a.style.overflow="hidden"}this.dialog?(this.dialog.style.display="block",this.position(),this.isModal&&(this.background||this.createBackground(),this.resizeBackground(),this.background.style.display="block",this.processSelectElems()),this.dialog.style.visibility="visible",this.isOpen=!0,Sfdc.Function.delay(this.setPrimaryFocus,1,this,[this]),window.Perf&&Perf.endMark(OverlayDialog.LOAD_MARK)):
Sfdc.log("WARNING \x3e OverlayDialog.show() was called even though no dialog object had been created with createDialog(). This means that the dialog creation failed or is stuck in the Aloha onLoad queue.")};
OverlayDialog.prototype.setPrimaryFocus=function(a,c){a||(a=this);if(!0===c){if(null!==a.wrappingPointId){var b=document.getElementById(a.wrappingPointId);if(null!==b&&!0!==b.disabled)try{b.focus()}catch(d){}else Sfdc.error(a.wrappingPointId+" could not be focused")}}else if(!0===a.focusOnShow){b=null;null!==a.focusPointId&&(b=document.getElementById(a.focusPointId));if(null===b||b.disabled||"none"===b.style.display||"hidden"===b.style.display.visibility){var e=a.dialog.getElementsByTagName("*"),
f=null,h=null;for(i=0;i<e.length;i++)if(!e[i].disabled&&!("none"===e[i].style.display||"hidden"===e[i].style.visibility)){var g=e[i].tagName;if("INPUT"===g||"TEXTAREA"===g||"SELECT"===g){h=i;break}null===f&&"A"===g&&(f=i)}null!==h?b=e[h]:null!==f&&(b=e[f])}if(null!==b&&!0!==b.disabled){try{b.focus()}catch(k){}("text"==b.type||"textarea"==b.type)&&b.select()}else Sfdc.error(a.focusPointId+" could not be focused")}};
OverlayDialog.prototype.processSelectElems=function(a){if(Sfdc.userAgent.isIE6){for(var c=document.getElementsByTagName("select"),b=c.length,d=0;d<b;d++)c[d].style.visibility=a?"visible":"hidden";if(!a){a=this.dialog.getElementsByTagName("select");c=a.length;for(d=0;d<c;d++)a[d].style.visibility="visible"}}};
OverlayDialog.prototype.hide=function(){this.isMovable&&this.stopDrag();this.isModal&&(this.background.style.display="none",this.processSelectElems(!0));this.dialog.style.visibility="hidden";Sfdc.userAgent.isFirefox||(this.dialog.style.display="none");this.useCSS&&(this.getPageOverflowElement().style.overflow=this.htmlOverflow);this.htmlOverflow="";this.isOpen=!1;this.refreshOnClose&&(Sfdc.userAgent.isChromeFrame?window.location=window.location:window.location.reload(!0))};
OverlayDialog.prototype.getPageOverflowElement=function(){return Sfdc.userAgent.isFirefox?document.body:document.documentElement};OverlayDialog.prototype.cancel=function(){this.hide()};OverlayDialog.prototype.handleKeyPress=function(a){if(this.isOpen){a=getEvent(a);var c=a.keyCode;c==KEY_ESC&&this.allowKeyboardEsc?this.handleCancel():c==KEY_ENTER&&this.captureEnter(getEventTarget(a))&&this.enter()}};
OverlayDialog.prototype.captureEnter=function(a){return"A"!=a.nodeName&&"TEXTAREA"!=a.nodeName&&"button"!=a.type};OverlayDialog.prototype.enter=function(){};OverlayDialog.prototype.handleCancel=function(){this.cancel()};
OverlayDialog.prototype.position=function(){if(this.dialog){var a=this.dialog.style;if(this.useCSS)a.marginTop=-0.25*this.dialog.offsetHeight+"px",LC&&LC.isRtlPage()?a.marginRight=-0.5*this.dialog.offsetWidth+"px":a.marginLeft=-0.5*this.dialog.offsetWidth+"px";else if(this.resizing){var c=this.startWidth+this.changeX,b=this.startHeight+this.changeY;c<this.minWidth&&(c=this.minWidth);b<this.minHeight&&(b=this.minHeight);a.width=c+"px";a.height=b+"px";document.getElementById(this.getContentId()).style.height=
b-46+"px"}else{if(c=document.getElementById(this.getContentId()))c.style.height="",c.style.overflowY="",c.style.position="",this.dialog.offsetHeight>getWindowHeight()&&(c.style.height=getWindowHeight()-100+"px",c.style.overflowY="auto",c.style.position="relative");if(this.positioned){var c=Sfdc.Window.getWindowWidth()-OverlayDialog.EDGE_BUFFER,b=Sfdc.Window.getWindowHeight()-OverlayDialog.EDGE_BUFFER,d=OverlayDialog.EDGE_BUFFER-this.dialog.offsetWidth,e=-OverlayDialog.EDGE_BUFFER/2;this.fixedX<d?
this.fixedX=d:this.fixedX>c&&(this.fixedX=c);this.fixedY<e?this.fixedY=e:this.fixedY>b&&(this.fixedY=b)}else this.setInnerHeight(),c=Sfdc.Window.getWindowWidth()-this.dialog.offsetWidth,c=6>c?6:c/2,b=Sfdc.Window.getWindowHeight()-this.dialog.offsetHeight,this.fixedX=c,this.fixedY=6>b?6:b/2;Sfdc.userAgent.isIE6?(a.left=this.fixedX+getScrollX()+"px",a.top=this.fixedY+getScrollY()+"px"):(a.left=this.fixedX+"px",a.top=this.fixedY+"px")}}};OverlayDialog.prototype.setInnerHeight=function(){};
OverlayDialog.prototype.createBackground=function(){this.background=document.createElement("div");this.background.className="overlayBackground";this.useCSS&&(Sfdc.userAgent.isSafariIOS?(this.background.style.width=document.body.scrollWidth+"px",this.background.style.height=document.body.scrollHeight+"px"):(this.background.style.width="10000px",this.background.style.height="20000px"));document.body.appendChild(this.background);var a=this;addEvent(this.background,"mousedown",function(c){a.smash(c)},
!1);addEvent(this.background,"click",function(c){a.smash(c)},!1)};OverlayDialog.prototype.resizeBackground=function(){if(this.background&&!this.useCSS&&this.created){var a=this.background.style;this.dialog.currentStyle&&Sfdc.userAgent.isIE6?(a.width=document.body.offsetWidth+"px",a.height=document.body.offsetHeight+"px"):(a.width=Math.max(document.documentElement.scrollWidth,Sfdc.Window.getWindowWidth())+"px",a.height=Math.max(document.documentElement.scrollHeight,Sfdc.Window.getWindowHeight())+"px")}};
OverlayDialog.prototype.scrollEvent=function(){this.created&&this.position()};OverlayDialog.prototype.resizeEvent=function(){this.resizeBackground();this.position()};
OverlayDialog.prototype.createDialog=function(){this.dialog=this.createDialogElement();document.body.appendChild(this.dialog);this.setWidth(this.width);var a=this;addEvent(document.getElementById(this.blurCatchId),"focus",function(){a.setPrimaryFocus(a,!0)});addEvent(document.body,"keyup",function(){if(a&&a.isOpen){for(var b=document.activeElement,c=!0;b.id!=a.id;){if(b===document.body){c=!1;break}b=b.parentNode}c||a.setPrimaryFocus(a)}});if(!this.useCSS&&(this.isMovable||this.isResizable))if(addEvent(document,
"mouseup",function(){a.stopDrag()},!1),this.isMovable&&(addEvent(this.dialog.firstChild,"mousedown",function(b){a.startMove(b)},!1),addEvent(document,"mousemove",function(b){a.move(b)},!1)),this.isResizable){var c=document.getElementById(this.id+"Resize");addEvent(c,"mousedown",function(b){a.startResize(b)},!1);addEvent(document,"mousemove",function(b){a.resize(b)},!1)}this.createContent();this.created=!0};
OverlayDialog.prototype.createDialogElement=function(){this.blurCatchId=this.id+"BlurCatch";this.focusPointId=this.id+"FocusPoint";this.wrappingPointId=this.displayX?this.id+"X":this.focusPointId;var a=this.id+"Title",c=document.createElement("div");c.id=this.id;c.setAttribute("role","dialog");c.setAttribute("aria-live","assertive");c.setAttribute("aria-describedby",a);var b=["overlayDialog"];this.isAbsolutePositioned&&b.push("absolutePositionedOverlayDialog");this.useCSS&&b.push("cssDialog");b.push(this.extraClass);
c.className=b.join(" ");b=[];b.push("\x3cdiv class\x3d'topRight");this.isMovable&&b.push(" movable");b.push("'\x3e");b.push("\x3ca id\x3d'"+this.focusPointId+"' ");b.push("href\x3d'javascript:void(0)' ");b.push("onclick\x3d'return false;' ");b.push("style\x3d'"+OverlayDialog.HIDDEN_STYLE+"' ");b.push("title\x3d'"+LC.getLabel("Global","startOfDialog")+"' ");this.displayX&&b.push("onfocus\x3d'document.getElementById(\""+this.wrappingPointId+"\").focus()'");b.push("\x3e");b.push(LC.getLabel("Global",
"startOfDialog"));b.push("\x3c/a\x3e");b.push("\x3cdiv class\x3d'topLeft'\x3e");this.displayX&&(b.push("\x3ca id\x3d'"+this.wrappingPointId+"' title\x3d'"+LC.getLabel("Buttons","close")+"' tabindex\x3d'0' onmouseover\x3d\"this.className \x3d 'dialogCloseOn'\" onmouseout\x3d\"this.className \x3d 'dialogClose'\" onclick\x3d\"sfdcPage.getDialogById('"),b.push(this.id),b.push("').cancel()\" href\x3d'javascript:void(0)' class\x3d'dialogClose'\x3e"+LC.getLabel("Buttons","close")+"\x3c/a\x3e"));b.push("\x3ch2 id\x3d'"+
a+"'\x3e");b.push(this.title);b.push("\x3c/h2\x3e\x3c/div\x3e\x3c/div\x3e\x3cdiv class\x3d'middle'\x3e\x3cdiv class\x3d'innerContent' id\x3d'");b.push(this.getContentId());b.push("'\x3e\x3c/div\x3e\x3c/div\x3e");this.isResizable&&(b.push("\x3cdiv id\x3d'"),b.push(this.id),b.push("Resize' class\x3d'dialogResize'\x3e\x3c/div\x3e"));b.push('\x3cdiv class\x3d\'bottomRight\'\x3e\x3clabel style\x3d"display:none;" for \x3d"'+this.blurCatchId+"\"\x3e'\x26nbsp;'\x3c/label\x3e\x3cinput id\x3d'"+this.blurCatchId+
"' style\x3d'"+OverlayDialog.HIDDEN_STYLE+"' type\x3d'text' /\x3e\x3cdiv class\x3d'bottomLeft'\x3e\x3c/div\x3e\x3c/div\x3e");c.innerHTML=b.join("");return c};OverlayDialog.prototype.createContent=function(){};
OverlayDialog.prototype.startMove=function(a){a=getEvent(a);"IMG"!=getEventTarget(a).nodeName&&(this.moving=this.positioned=!0,this.relativeX=a.clientX-this.dialog.offsetLeft,this.relativeY=a.clientY-this.dialog.offsetTop,Sfdc.userAgent.isIE6&&(this.relativeX+=getScrollX(),this.relativeY+=getScrollY()),this.fixedX=a.clientX-this.relativeX,this.fixedY=a.clientY-this.relativeY,this.smash(a))};
OverlayDialog.prototype.startResize=function(a){a=getEvent(a);this.resizing=this.positioned=!0;this.relativeX=a.clientX;this.relativeY=a.clientY;this.startWidth=this.dialog.offsetWidth;this.startHeight=this.dialog.offsetHeight;this.smash(a)};OverlayDialog.prototype.stopDrag=function(){this.resizing=this.moving=!1};OverlayDialog.prototype.move=function(a){this.moving&&(a=getEvent(a),this.smash(a),this.fixedX=a.clientX-this.relativeX,this.fixedY=a.clientY-this.relativeY,this.position())};
OverlayDialog.prototype.resize=function(a){this.resizing&&(a=getEvent(a),this.smash(a),this.changeX=a.clientX-this.relativeX,this.changeY=a.clientY-this.relativeY,this.position())};OverlayDialog.prototype.smash=function(a){a.stopPropagation?a.stopPropagation():a.cancelBubble=!0;a.preventDefault?a.preventDefault():a.returnValue=!1};OverlayDialog.prototype.getContentId=function(){return this.id+"Content"};
OverlayDialog.prototype.createButtons=function(a){a.push("\x3cdiv id\x3d'"+this.id+"_buttons' class\x3d'buttons ");a.push("zen");a.push("'\x3e");for(var c=0;c<this.buttons.length;c++){var b=this.buttons[c].display,d=this.buttons[c].action,e=this.buttons[c].id;a.push("\x3cinput class\x3d'");a.push("zen-btn");a.push("' type\x3d'button' value\x3d'");a.push(b);e&&(a.push("' id\x3d'"),a.push(e));a.push("' onclick\x3d\"");"string"==typeof d?(a.push("if("),a.push(d.replace(/"/,'\\"')),a.push(")")):"function"==
typeof d&&(a.push("if("),a.push(d.name),a.push("())"));a.push("sfdcPage.getDialogById('");a.push(this.id);a.push("').hide();\"\x3e")}a.push("\x3c/div\x3e")};OverlayDialog.prototype.register=function(){sfdcPage.registerDialog(this)};
Ext.namespace("KnowledgeDatePicker");KnowledgeDatePicker.showAsRequired=function(a,c){var b=document.getElementById(a+"_required");b&&(b.style.backgroundColor=c?"#C00":"transparent")};KnowledgeDatePicker.hasValidDate=function(a){a=document.getElementById(a).value;return DateUtil.isDate(a,UserContext.dateFormat)};KnowledgeDatePicker.getDateAsString=function(a){return document.getElementById(a).value};KnowledgeDatePicker.isEmpty=function(a){return 0<document.getElementById(a).value.length?!1:!0};
KnowledgeDatePicker.showDatePicker=function(a,c){DatePicker.pickDate(!1,c,!1);DatePicker.datePicker.cancelHide(a);var b=Ext.get(c),d=b.getXY();d[1]+=b.getHeight();Ext.get(DatePickerIds.DOM_ID).setXY(d);Sfdc.userAgent.isIE6&&(DatePicker.datePicker.monthPicker.style.visibility="visible",DatePicker.datePicker.yearPicker.style.visibility="visible")};
KnowledgeDatePicker.validate=function(a){if(!KnowledgeDatePicker.isEmpty(a)&&!KnowledgeDatePicker.hasValidDate(a))return KnowledgeDatePicker.setError(a,Knowledge.LC.getLabel("Edit","InvalidDate")),!1;KnowledgeDatePicker.cleanError(a);return!0};
KnowledgeDatePicker.setError=function(a,c){KnowledgeDatePicker.cleanError(a);document.getElementById(a).setAttribute("class","error");var b=document.createElement("div");b.id=a+"_errorMessage";b.setAttribute("class","errorMsg");var d=document.createElement("strong");d.innerHTML=Knowledge.LC.getLabel("Global","labelWithColon",Knowledge.LC.getLabel("Global","error"));b.appendChild(d);b.appendChild(document.createTextNode(" "+c));document.getElementById(a).parentNode.appendChild(b)};
KnowledgeDatePicker.cleanError=function(a){document.getElementById(a).removeAttribute("class");(a=document.getElementById(a+"_errorMessage"))&&a.parentNode.removeChild(a)};KnowledgeDatePicker.toggleDisplay=function(a){a=document.getElementById(a);var c=Ext.query("img[class*\x3ddatePickerIcon]",a.parentNode),b=0<c.length?!1:!0;!0===a.disabled?(a.disabled=!1,!1===b&&(c[0].style.visibility="inherit")):(a.disabled=!0,!1===b&&(c[0].style.visibility="hidden"))};
Ext.namespace("Knowledge","Knowledge.Dialog");Knowledge.Dialog.ACTION_TYPE_SUBMIT="submit";Knowledge.Dialog.ACTION_TYPE_CANCEL="cancel";Knowledge.Dialog.ACTION_TYPE_CLOSE="close";Knowledge.Dialog.instances=[];
Knowledge.Dialog.getInstance=function(a){Knowledge.Dialog.instances[a.componentId]||(!0===a.accessibleMode?Knowledge.Dialog.instances[a.componentId]=new Knowledge.AccessibleDialog(a):(Knowledge.Dialog.instances[a.componentId]=new Knowledge.OverlayDialog(a),Knowledge.Dialog.instances[a.componentId].register()));return Knowledge.Dialog.instances[a.componentId]};
Knowledge.Dialog.retrieveContentContainerId=function(a){return(a=Ext.query("div[id$\x3d_dialogContent]",a+"_dialogHolder"))&&0<a.length?a[0].id:null};Knowledge.Dialog.retrieveActionContainerId=function(a){return(a=Ext.query("div[id$\x3d_dialogActions]",a+"_dialogHolder"))&&0<a.length?a[0].id:null};Knowledge.Dialog.retrieveEventContainerId=function(a){return(a=Ext.query("div[id$\x3d_dialogEvents]",a+"_dialogHolder"))&&0<a.length?a[0].id:null};
Knowledge.Dialog.retrieveScriptContainerId=function(a){return(a=Ext.query("div[id$\x3d_dialogScript]",a+"_dialogHolder"))&&0<a.length?a[0].id:null};Knowledge.Dialog.getActionAttribute=function(a,b){var c=Ext.query("input[type\x3dhidden][class\x3ddialogAction-"+b+"]",a);return c&&0<c.length?c[0].value:null};Knowledge.Dialog.getEventAttribute=function(a,b){var c=Ext.query("input[type\x3dhidden][class\x3ddialogEvent-"+b+"]",a);return c&&0<c.length?c[0].value:null};
Knowledge.Dialog.loadActionDefinitions=function(a){var b=[];a=Ext.query("div[class\x3ddialogAction]",a);for(var c=0;c<a.length;c++){var d=a[c].id;b[c]={id:Knowledge.Dialog.getActionAttribute(d,"name"),label:Knowledge.Dialog.getActionAttribute(d,"label"),type:Knowledge.Dialog.getActionAttribute(d,"type"),handler:Knowledge.Dialog.getActionAttribute(d,"handler")}}return b};
Knowledge.Dialog.loadEventDefinitions=function(a){var b=[];a=Ext.query("div[class\x3ddialogEvent]",a);for(var c=0;c<a.length;c++){var d=a[c].id,e=Knowledge.Dialog.getEventAttribute(d,"eventName"),d=Knowledge.Dialog.getEventAttribute(d,"callbackName");b[e]=d}return b};Knowledge.Dialog.isAccessibleMode=function(){return"undefined"!=typeof window.opener&&"undefined"!=typeof window.manager};
Knowledge.Dialog.getAjaxRefreshedElementById=function(a){return Knowledge.Dialog.isAccessibleMode()?window.opener.document.getElementById(a):document.getElementById(a)};
Knowledge.Dialog.invokeActionFunction=function(a){if(Knowledge.Dialog.isAccessibleMode()){if("undefined"!=typeof a&&"function"===typeof window.opener[a])return window.opener[a]();alert("ERROR: window.opener."+a+" is not a valid action function name")}else{if("undefined"!=typeof a&&"function"===typeof window[a])return window[a]();alert("ERROR: "+a+" is not a valid action function name")}};
Knowledge.AccessibleDialog=function(a){this.title=a.title;this.componentId=a.componentId;this.initializerName=a.initializerName;this.validatorName=a.validatorName;this.encoderName=a.encoderName;this.returnsResult=a.returnsResult;this.width=a.width;this.height=a.height;this.refreshedDataEl=a.refreshedDataEl;this.callbackContext="window.opener.";this._actionsContainerId=Knowledge.Dialog.retrieveActionContainerId(this.componentId);this._eventsContainerId=Knowledge.Dialog.retrieveEventContainerId(this.componentId);
this._contentContainerId=Knowledge.Dialog.retrieveContentContainerId(this.componentId);(this._scriptContainerId=Knowledge.Dialog.retrieveScriptContainerId(this.componentId))&&this.loadScript();this.loadContent();this.loadActionDefinitions();this._eventsContainerId&&this.loadEventDefinitions();this.validateConfig()};Knowledge.AccessibleDialog.prototype.loadContent=function(){this.dlgContent=document.getElementById(this._contentContainerId).innerHTML};
Knowledge.AccessibleDialog.prototype.loadActionDefinitions=function(){this.actions=Knowledge.Dialog.loadActionDefinitions(this._actionsContainerId)};Knowledge.AccessibleDialog.prototype.loadEventDefinitions=function(){this.events=Knowledge.Dialog.loadEventDefinitions(this._eventsContainerId)};Knowledge.AccessibleDialog.prototype.loadScript=function(){var a=Ext.query("script",this._scriptContainerId);this.script="";a&&0<a.length&&(this.script=a[0].innerHTML)};
Knowledge.AccessibleDialog.prototype.show=function(){this.popup=window.open("/knowledge/AccessibleDialog/dialogTemplate.apexp",this.componentId,"location\x3dno,resizable\x3dyes,scrollbars\x3dno,toolbar\x3dno,height\x3d"+this.height+",width\x3d"+this.width);this.document=this.popup.document;this.popup.manager=this;this.popup.focus()};Knowledge.AccessibleDialog.prototype.hasScript=function(){return"undefined"!==typeof this.script&&""!==this.script};Knowledge.AccessibleDialog.prototype.getScript=function(){return this.script};
Knowledge.AccessibleDialog.prototype.createContent=function(){var a=[];if(this.refreshedDataEl){var b=document.getElementById(this.refreshedDataEl);a.push('\x3cdiv style\x3d"display:none"\x3e');a.push(b.innerHTML);a.push("\x3c/div\x3e")}a.push(this.dlgContent);a.push(this.createButtons());return a.join("")};
Knowledge.AccessibleDialog.prototype.buildActionScript=function(a){a=this.actions[a];var b=[];if(!a)return"";switch(a.type){case Knowledge.Dialog.ACTION_TYPE_SUBMIT:null!==this.validatorName&&b.push("if("+("true"!=this.validatorName?this.validatorName+"()":"true")+") {");!0===this.returnsResult?(b.push("var result \x3d "+this.encoderName+"(); "),b.push(this.callbackContext+a.handler+"(result); ")):b.push(this.callbackContext+a.handler+"(); ");b.push("window.close();");null!==this.validatorName&&b.push("}");
break;case Knowledge.Dialog.ACTION_TYPE_CANCEL:a.handler&&b.push(this.callbackContext+a.handler+"();");b.push("window.close();");break;case Knowledge.Dialog.ACTION_TYPE_CLOSE:b.push("window.close();");break;default:alert('"'+a.type+'" is not a valid action type')}return b.join("")};
Knowledge.AccessibleDialog.prototype.createButtons=function(){for(var a=[],b=0;b<this.actions.length;b++)a.push('\x3cinput type\x3d"button" '),a.push('id\x3d"'+this.actions[b].id+'" '),a.push('value\x3d"'+this.actions[b].label+'" '),a.push('onclick\x3d"'+this.buildActionScript(b)+'" '),a.push(" /\x3e");return a.join("")};
Knowledge.AccessibleDialog.prototype.validateConfig=function(){if(this.returnsResult&&Ext.isEmpty(this.encoderName))return alert("Missing encoder function. As this dialog returns a result a valid encoder should be specified"),!1;if(null!==this.encoderName&&(!Ext.isDefined(this.encoderName)||!Ext.isFunction(window[this.encoderName])))return alert("ERROR: Encoder function ("+this.encoderName+") is not valid"),!1;if(null!==this.initializerName&&(!Ext.isDefined(this.initializerName)||!Ext.isFunction(window[this.initializerName])))return alert("ERROR: Initializer function ("+
this.initializerName+") is not valid"),!1;if(null!==this.validatorName&&(!Ext.isDefined(this.validatorName)||!Ext.isFunction(window[this.validatorName])))return alert("ERROR: Validator function ("+this.validatorName+") is not valid"),!1;if(null!==this.actions&&0<this.actions.length)for(var a=0;a<this.actions.length;a++){var b=this.actions[a].handler;if(this.actions[a].type===Knowledge.Dialog.ACTION_TYPE_SUBMIT&&Ext.isEmpty(b))return alert('ERROR: Missing mandatory action handler for submit action "'+
this.actions[a].label+'"'),!1;if(!Ext.isEmpty(b)&&!Ext.isFunction(Knowledge.getFunction(b)))return alert("ERROR: Handler function ("+b+') for action "'+this.actions[a].label+'" is not valid'),!1}if(!Ext.isEmpty(this.events))for(a=0;a<this.events.length;a++){b=this.events[a].eventName;if(Ext.isEmpty(b))return alert('ERROR: Missing mandatory callback function for event "'+this.events[a].eventName+'"'),!1;if(b&&(!Ext.isDefined(b)||!Ext.isFunction(window[b])))return alert("ERROR: Callback function ("+
b+') for event "'+this.events[a].eventName+'" is not valid'),!1}return!0};Knowledge.AccessibleDialog.prototype.fireEvent=function(a){a=this.events[a];"undefined"!=typeof a&&(Ext.isIE?this.popup[a].apply(this.popup):Ext.invoke([this.popup],a))};
Knowledge.OverlayDialog=Ext.extend(OverlayDialog,{constructor:function(a){Knowledge.OverlayDialog.superclass.constructor.call(this);this.id=a.id;this.componentId=a.componentId;this.returnsResult=a.returnsResult;this.width=a.width;this.maxHeight=a.height;this.title=a.title;this.initializerName=a.initializerName;this.validatorName=a.validatorName;this.encoderName=a.encoderName;this.refreshedDataEl=a.refreshedDataEl;this.callbackContext="";this.setupDefaultButtons();this.addEvents();this._actionsContainerId=
Knowledge.Dialog.retrieveActionContainerId(this.componentId);this._eventsContainerId=Knowledge.Dialog.retrieveEventContainerId(this.componentId);this._contentContainerId=Knowledge.Dialog.retrieveContentContainerId(this.componentId);this.loadActionDefinitions();this._eventsContainerId&&this.loadEventDefinitions();this.validateConfig()},show:function(){if(null!==this.initializerName)window[this.initializerName]();Knowledge.OverlayDialog.superclass.show.call(this)},createButtons:function(a){a.push("\x3cdiv id\x3d'"+
this.id+"_buttons' class\x3d'buttons'\x3e");for(var b=0;b<this.actions.length;b++)a.push('\x3cinput type\x3d"button" '),a.push('id\x3d"'+this.actions[b].id+'" '),a.push('class\x3d"btn" '),a.push('value\x3d"'+this.actions[b].label+'" '),a.push('onclick\x3d"'+this.buildActionScript(b)+'" '),a.push(" /\x3e");a.push("\x3c/div\x3e")},createContent:function(){var a=document.getElementById(this.getContentId()),b=document.getElementById(this._contentContainerId),c=[];c.push(b.innerHTML);b.innerHTML="";this.createButtons(c);
a.innerHTML=c.join("");if(Sfdc.userAgent.isIE&&!document.getElementById("simpleDialog_datePicker_holder")&&(a=document.getElementById(DatePickerIds.DOM_ID)))b=document.createElement("div"),b.id="simpleDialog_datePicker_holder",b.appendChild(a.cloneNode(!0)),a.parentNode.removeChild(a),document.body.appendChild(b)},scrollEvent:function(){}});
Knowledge.OverlayDialog.prototype.validateConfig=function(){if(this.returnsResult&&Ext.isEmpty(this.encoderName))return alert("Missing encoder function. As this dialog returns a result a valid encoder should be specified"),!1;if(null!==this.encoderName&&(!Ext.isDefined(this.encoderName)||!Ext.isFunction(window[this.encoderName])))return alert("ERROR: Encoder function ("+this.encoderName+") is not valid"),!1;if(null!==this.initializerName&&(!Ext.isDefined(this.initializerName)||!Ext.isFunction(window[this.initializerName])))return alert("ERROR: Initializer function ("+
this.initializerName+") is not valid"),!1;if(null!==this.validatorName&&(!Ext.isDefined(this.validatorName)||!Ext.isFunction(window[this.validatorName])))return alert("ERROR: Validator function ("+this.validatorName+") is not valid"),!1;if(null!==this.actions&&0<this.actions.length)for(var a=0;a<this.actions.length;a++){var b=this.actions[a].handler;if(this.actions[a].type===Knowledge.Dialog.ACTION_TYPE_SUBMIT&&Ext.isEmpty(b))return alert('ERROR: Missing mandatory action handler for submit action "'+
this.actions[a].label+'"'),!1;if(!Ext.isEmpty(b)&&!Ext.isFunction(Knowledge.getFunction(b)))return alert("ERROR: Handler function ("+b+') for action "'+this.actions[a].label+'" is not valid'),!1}if(!Ext.isEmpty(this.events))for(a=0;a<this.events.length;a++)if(b=this.events[a].eventName,Ext.isEmpty(b)&&alert('ERROR: Missing mandatory callback function for event "'+this.events[a].eventName+'"'),b&&(!Ext.isDefined(b)||!Ext.isFunction(window[b])))return alert("ERROR: Callback function ("+b+') for event "'+
this.events[a].eventName+'" is not valid'),!1;return!0};Knowledge.OverlayDialog.prototype.loadActionDefinitions=function(){this.actions=Knowledge.Dialog.loadActionDefinitions(this._actionsContainerId)};Knowledge.OverlayDialog.prototype.loadEventDefinitions=function(){this.events=Knowledge.Dialog.loadEventDefinitions(this._eventsContainerId)};
Knowledge.OverlayDialog.prototype.buildActionScript=function(a){a=this.actions[a];var b=[];if(!a)return"";switch(a.type){case Knowledge.Dialog.ACTION_TYPE_SUBMIT:null!==this.validatorName&&b.push("if("+("true"!=this.validatorName?this.validatorName+"()":"true")+") {");b.push("sfdcPage.getDialogById('"+this.id+"').hide();");!0===this.returnsResult?(b.push("var result \x3d "+this.encoderName+"(); "),b.push(a.handler+"(result); ")):b.push(a.handler+"(); ");null!==this.validatorName&&b.push("}");break;
case Knowledge.Dialog.ACTION_TYPE_CANCEL:b.push("sfdcPage.getDialogById('"+this.id+"').hide();");a.handler&&b.push(a.handler+"();");break;case Knowledge.Dialog.ACTION_TYPE_CLOSE:b.push("sfdcPage.getDialogById('"+this.id+"').hide();");break;default:alert('"'+a.type+'" is not a valid action type')}return b.join("")};Knowledge.OverlayDialog.prototype.fireEvent=function(a){a=this.events[a];if("undefined"!=typeof a)window[a]()};
Ext.namespace("Knowledge","Knowledge.VersionHistory");Knowledge.VersionHistory.toggleDisplayEvents=function(d,b){var a=b.childNodes[0],c=b.parentNode.parentNode.nextSibling.childNodes[0].childNodes[0];"versionHistoryFoldCollapsed"==a.className?(a.src="/img/knowledge/versionHistory_expanded.gif",c.style.display="block",a.className="versionHistoryFoldExpanded"):(a.src="/img/knowledge/versionHistory_collapsed.gif",c.style.display="none",a.className="versionHistoryFoldCollapsed")};

//# sourceMappingURL=/javascript/1434361540000/sfdc/source/KnowledgeDlg.js.map
